| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Functions
Vector Copy
Support Functions

## Functions
void | arm_copy_f32 (float32_t *pSrc, float32_t *pDst, uint32_t blockSize)
| Copies the elements of a floating-point vector.
void | arm_copy_q15 (q15_t *pSrc, q15_t *pDst, uint32_t blockSize)
| Copies the elements of a Q15 vector.
void | arm_copy_q31 (q31_t *pSrc, q31_t *pDst, uint32_t blockSize)
| Copies the elements of a Q31 vector.
void | arm_copy_q7 (q7_t *pSrc, q7_t *pDst, uint32_t blockSize)
| Copies the elements of a Q7 vector.

## Description

Copies sample by sample from source vector to destination vector.

     	pDst[n] = pSrc[n];   0 <= n < blockSize.

There are separate functions for floating point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_copy_f32 | ( | float32_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters:

  [in] | *pSrc | points to input vector
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Examples:
  arm_convolution_example_f32.c, arm_signal_converge_example_f32.c, and arm_variance_example_f32.c.

References blockSize.

Referenced by main().

void arm_copy_q15 | ( | q15_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters:

  [in] | *pSrc | points to input vector
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

References __SIMD32, and blockSize.

Referenced by arm_conv_fast_opt_q15(), arm_conv_opt_q15(), arm_conv_partial_fast_opt_q15(), arm_conv_partial_opt_q15(), arm_correlate_fast_opt_q15(), and arm_correlate_opt_q15().

void arm_copy_q31 | ( | q31_t * | pSrc,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters:

  [in] | *pSrc | points to input vector
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

References blockSize.

void arm_copy_q7 | ( | q7_t * | pSrc,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters:

  [in] | *pSrc | points to input vector
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

References __SIMD32, and blockSize.